---
title: "log2"
subtitle: "Function in std::math"
excerpt: "Compute the base 2 logarithm of the number."
layout: manual
---

Compute the base 2 logarithm of the number.

```kcl
log2(@input: number): number
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `input` | [`number`](/docs/kcl-std/types/std-types-number) | A number. | Yes |

### Returns

[`number`](/docs/kcl-std/types/std-types-number) - A number.


### Examples

```kcl
exampleSketch = startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> line(end = [log2(100), 0])
  |> line(end = [5, 8])
  |> line(end = [-10, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of log2 0](data:image/png;base64,[encoded data, 69520 characters])


